Upsert a Contact

Creates or updates a Contact, matching on the email address. If the Contact does not exist, it will be created. If the Contact does exist, it will be updated. It is not possible to delete a Contact via this endpoint. It is not possible to reset properties of a Contact by passing empty values. E.g. passing null for first_name or an empty array for tag_ids won't update previous values. To do that you would instead need to use the Update Contact endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Query Params
expand[]
array of strings

Expand additional data in the response. Use expand[]=field_name to include optional fields (e.g., expand[]=email_engagement). See the Expanding guide for available fields and examples.

expand[]
Body Params

Contact to create or update, matching on the email address. Note that properties of a Contact are not reset when passed empty values, e.g. passing null for first_name or an empty array for tag_ids won't update previous values. To do that you would instead use the Update Contact endpoint.

contact
object

Contacts

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json